Ingest an OTLP export for a signal
curl --request POST \
--url https://api.interfere.com/drain/v1/{signal} \
--header 'Content-Type: application/x-protobuf' \
--header 'x-interfere-public-key: <api-key>' \
--data '"<unknown>"'import requests
url = "https://api.interfere.com/drain/v1/{signal}"
payload = "<unknown>"
headers = {
"x-interfere-public-key": "<api-key>",
"Content-Type": "application/x-protobuf"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-interfere-public-key': '<api-key>',
'Content-Type': 'application/x-protobuf'
},
body: JSON.stringify('<unknown>')
};
fetch('https://api.interfere.com/drain/v1/{signal}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"{
"message": "<string>"
}{
"code": "INGEST_INFRA_UNAVAILABLE",
"message": "<string>"
}Ingest an OTLP export for a signal
POST
/
drain
/
v1
/
{signal}
Ingest an OTLP export for a signal
Authorizations
publicKeyHeaderpublicKey
Public key of the receiving surface; preferred for OTel Collector exporters, whose endpoint config cannot carry query strings
Path Parameters
OTLP signal
Available options:
traces, logs, metrics Body
application/x-protobufapplication/json
OTLP protobuf payload
Response
any | null
OTLP export response in the request's content type; an empty message signals full success
OTLP protobuf response
⌘I